; Andriod 2 by Ocean
; it uses the buffer from 0300 to 0330 to store his data.
; Here it is changed to 5300 for better managing of interrupt.
; Else, it uses Cxxx as buffer, here chaged to 4xxx for better manipulation
;
; The game has more sound effects, but not with a IRQ player
; The generated prg dosn't sount as the generated sid!!!

.ifdef sid
 .byte "PSID"
 .word $0200         ; version 2
 .word $7C00         ; data offset
 .word $0000         ; load address in cbm format
 .byte >initmusic
 .byte <initmusic
 .byte >playmusic
 .byte <playmusic
 .word $0400         ; 1 song
 .word $0100         ; default song
 .word $FFFF
 .word $FFFF
 .byte "Android 2",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
 .byte "<?>",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
 .byte "1983 Ocean",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
 .word $0000
 .word $0000
 .word $0000
.endif

.org $8001

.byte $01,$08
.byte $0b,$08,$e8,$03,$9e,"2061",0,0,0
.org 2061

 jsr initmusic

.ifndef sid
 sei
 lda #<interr
 sta $0314
 lda #>interr
 sta $0315

 lda #$00
 sta $dd0d
 cli

aaa:
 jmp aaa

 interr =*
    jsr playmusic
        LDA  $DC0D       ; Registro controllo interruzioni CIA #1
        PLA
        TAY
        PLA
        TAX
        PLA
        RTI
    rti
    jmp $ea31

.endif

;====================================
;init music

initmusic =*
      pha

      LDA  #$00
      STA  $DC04       ; Timer A #1: Lo Byte
      LDA  #$60
      STA  $DC05       ; Timer A #1: Hi Byte

      lda #$00         ;clear control regs
      sta $d404
      sta $d40b
      sta $d412
      sta $d417

      lda #$17         ;initial volume
      sta $d418

      pla

      cmp  #$00
      bne  next1

      lda  #<track1
      sta  $5300
      lda  #>track1
      sta  $5301
      lda  #<track2
      sta  $5310
      lda  #>track2
      sta  $5311
      lda  #<track3
      sta  $5320
      lda  #>track3
      sta  $5321

      jmp  common

next1:
      cmp  #$01
      bne  next2

      lda  #<end1
      sta  $5300
      lda  #>end1
      sta  $5301
      lda  #<end2
      sta  $5310
      lda  #>end2
      sta  $5311
      lda  #<end3
      sta  $5320
      lda  #>end3
      sta  $5321

common:
      lda  #$00
      sta  $5306
      sta  $5303

      lda  #$10
      sta  $5316
      lda  #$07
      sta  $5313
      lda  #$20
      sta  $5326
      lda  #$0E
      sta  $5323

      lda  #$01
      sta  $5304
      sta  $5314
      sta  $5324

      lda  #$00
      sta  $E1
      lda  #$0F
      sta  $E4
      rts

next2:                       ; mine ahead 1
      cmp  #$02
      bne  next3

      LDA  #$00
      STA  $D400       ; Voice 1: Frequency control (lo byte)
      STA  $D402       ; Voice 1: Wave form pulsation amplitude (lo byte)
      LDA  #$08
      STA  $D403       ; Voice 1: Wave form pulsation amplitude (hi byte)
      LDA  #$01
      STA  $D405       ; Generator 1: Attack/Decay
      LDA  #$52
      STA  $D406       ; Generator 1: Sustain/Release
      LDA  #$21
      STA  $D404       ; Voice 1: Control registers
      LDA  #$60
      STA  $38
      STA  $39

      LDA  #$32
      STA  $0204
      LDA  #$10
      STA  $0200
      LDA  #$0F
      STA  $0202
      LDA  $E1
      ORA  #$80
      STA  $E1

      lda #$1f         ; max volume
      sta $d418

      lda  #$00
      sta  $E4
      rts

next3:                           ; mine haead 2
      LDA  #$00
      STA  $D400       ; Voice 1: Frequency control (lo byte)
      STA  $D402       ; Voice 1: Wave form pulsation amplitude (lo byte)
      LDA  #$08
      STA  $D403       ; Voice 1: Wave form pulsation amplitude (hi byte)
      LDA  #$01
      STA  $D405       ; Generator 1: Attack/Decay
      LDA  #$52
      STA  $D406       ; Generator 1: Sustain/Release
      LDA  #$21
      STA  $D404       ; Voice 1: Control registers
      LDA  #$50
      STA  $38
      STA  $39

      LDA  #$67
      STA  $0204
      LDA  #$14
      STA  $0200
      LDA  #$13
      STA  $0202
      LDA  $E1
      ORA  #$80
      STA  $E1

      lda #$1f         ; max volume
      sta $d418
      rts

playmusic:
      pha
      txa
      pha
      tya
      pha

      lda  $E1
      and  #$80
      beq  music

      lda  $E4                    ; music voices being song
      bne  skip

mineAhead:
      ldx  $38                    ; read hi byte of freq. control voice 1
      txa
      and  #$01
      bne  incFreq
      dex
      dex
      dex
      dex
      ldy  #$21
      jmp  mineSound
incFreq:
      inx
      inx
      inx
      inx
      ldy  #$20
mineSound:
      stx  $D401                  ; Voice 1: Frequency control (hi byte)
      sty  $D404                  ; Voice 1: Control registers
      stx  $38                    ; store hi byte of freq. control voice 1
skip:
      inc  $0202
      lda  $0202
      cmp  $0200
      bne  music
      lda  $39
      sta  $38                    ; store hi byte of freq. control
      lda  #$FF
      sta  $0202

music:

      lda  $E4                    ; read voice used
      and  #$01                   ; is voice 1 ?
      beq  skipTM1
      jsr  executeTrackMusic1
skipTM1:
      lda  $E4                    ; read voice used
      and  #$02                   ; is voice 2 ?
      beq  skipTM2
      jsr  executeTrackMusic2
skipTM2:
      lda  $E4                    ; read voice used
      and  #$04                   ; is voice 3 ?
      beq  skipTM3
      jsr  executeTrackMusic3
skipTM3:

      lda  $DC0D                  ; Interrupt control register CIA #1
      pla
      tay
      pla
      tax
      pla
      rts

executeTrackMusic1:
      ldx  #$00
      lda  #$40 ;C0
      ldy  #$01
      jmp  executeTrackMusic

executeTrackMusic2:
      ldx  #$10
      lda  #$41 ;C1
      ldy  #$02
      jmp  executeTrackMusic


executeTrackMusic3:
      ldx  #$20
      lda  #$42 ;C2
      ldy  #$04

;==================================
; Execute music in track
;==================================
executeTrackMusic:
      sta  r2061+2
      sta  r2068+2
      sta  r2080+2
      sta  r2085+2
      sty  $E6

      ldy  #$00
loopA:
      lda  $5300,x                ; read old stored information
      sta  $00F0,y                ; store for actual use
      iny
      inx
      cpy  #$10
      bne  loopA

      dec  $F4                    ; dec note length duration
      beq  executeInstr
      lda  $F4                    ; note length duration
      cmp  $F5
      bne  skipEff
      lda  $FC
      and  #$FE
      sta  $FC
      lda  $E5
      and  $E6
      bne  skipEff
      lda  $FC
      ldx  $F3                    ; read voice index
      sta  $D404,x                ; Voice 1: Control registers
skipEff:
      ldx  $F6
      ldy  #$00
loopB:
      lda  $00F0,y                ; read actual information
      sta  $5300,x                ; store for next use
      inx
      iny
      cpy  #$10
      bne  loopB
      rts

;==================================
; Execute the next musical related
; instruction
;==================================
executeInstr:
      lda  $F4                    ; note length duration
      bne  skipEff
      ldy  #$00
      lda  ($F0),y                ; read next track instruction/data
      tax
      lda  loTable,x
      sta  $40
      lda  hiTable,x
      sta  $41
      jmp  ($0040)                ; execute the instruction

clearInstr:                       ; clear instruction
      lda  #$00
      sta  $F7

incInstrIndex:                    ; increment the instruction index
      lda  #$01

fixInstrIndex:                    ; fix the instruction index
      clc
      adc  $F0
      sta  $F0
      lda  $F1
      adc  #$00
      sta  $F1
      jmp  executeInstr

;==================================
; set frequency control
;==================================
setFrequency:
      iny
      lda  ($F0),y               ; read next song instruction/data
      sta  $F8                   ; store freq. lo
      iny
      lda  ($F0),y               ; read next song instruction/data
      sta  $F9                   ; store freq hi
      lda  $E5
      and  $E6
      bne  skipFrequency
      ldx  $F3                    ; read voice index
      lda  $F8
      sta  $D400,x                ; Voice 1: Frequency control (lo byte)
      lda  $F9
      sta  $D401,x                ; Voice 1: Frequency control (hi byte)
skipFrequency:
      lda  #$03
      jmp  fixInstrIndex

;==================================
; set wave form pulsation amplitude
;==================================
setAmplitude:
      iny
      lda  ($F0),y                ; read next song instruction/data
      sta  $FA
      iny
      lda  ($F0),y                ; read next song instruction/data
      sta  $FB
      lda  $E5
      and  $E6
      bne  skipAmplitude
      ldx  $F3                    ; read voice index
      lda  $FA
      sta  $D402,x                ; Voice 1: Wave form pulsation amplitude (lo byte)
      lda  $FB
      sta  $D403,x                ; Voice 1: Wave form pulsation amplitude (hi byte)
skipAmplitude:
      lda  #$03
      jmp  fixInstrIndex

;==================================
; set voice control
;==================================
setControl:
      iny
      lda  ($F0),y                ; read next track instruction/data
      and  #$FE
      sta  $FC                    ; store this value of control register
      lda  $E5
      and  $E6
      bne  skipControl
      ldx  $F3                    ; read voice index
      lda  $FC
      sta  $D404,x                ; Voice 1: Control registers
skipControl:
      lda  #$02
      jmp  fixInstrIndex

;==================================
; Set attack/decay/sustain/release
;==================================
setADSR:
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $FD                    ; store A/D
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $FE                    ; store S/R
      lda  $E5
      and  $E6
      bne  skipADSR
      ldx  $F3                    ; read voice index
      lda  $FD
      sta  $D405,x                ; Generator 1: Attack/Decay
      lda  $FE
      sta  $D406,x                ; Generator 1: Sustain/Release
skipADSR:
      lda  #$03
      jmp  fixInstrIndex

;==================================
; set note length duration
;==================================
setDuration1:
      iny
      lda  ($F0),y                ; read track instruction/data
      sta  $F4                    ; note length duration
      lda  #$00
      sta  $F5
      lda  #$02
      jmp  fixInstrIndex

;==================================
; Set a note length duration
; and effect
;==================================
setDuration2:
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $F4                    ; store note length
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $F5
      ldx  $F3                    ; read voice index
      lda  $FC
      ora  #$01                   ; activate ADS
      sta  $D404,x                ; Voice 1: Control registers
      sta  $FC
      lda  #$03
      jmp  fixInstrIndex

;==================================
; Goto instruction
;==================================
gotoInstr:
      iny
      lda  ($F0),y                ; read next track instruction/data
      tax
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $F1
      stx  $F0
      jmp  executeInstr

;==================================
; End the sound
;==================================
endInstr:
      lda  $E4
      and  #$F0
      sta  $E4
      jmp  soundOff

;==================================
; set filter mode
;==================================
setFilterMode:
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $D418                  ; Select volume and filter mode
      lda  #$02
      jmp  fixInstrIndex

;=================================
; Gosub instruction: execute a
; musical subroutine
;=================================
gosubInstr:
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $40
      iny
      lda  ($F0),y                ; read next track instruction/data
      sta  $41
      ldx  $F7
      clc
      lda  $F0
      adc  #$03
r2061:
      sta  $C200,x                ; store the return address
      lda  $F1
      adc  #$00
r2068:
      sta  $C201,x                ; store the return address
      inx
      inx
      stx  $F7
      lda  $40
      sta  $F0                    ; change the track position
      lda  $41
      sta  $F1                    ; change the track position
      jmp  executeInstr

;==================================
; Return from subroutine instruction
;==================================
returnInstr:
      ldx  $F7
      dex
      dex
      stx  $F7
r2080:
      lda  $C200,x                ; read stored position
      sta  $F0                    ; change the track position
r2085:
      lda  $C201,x                ; read stored position
      sta  $F1                    ; change the track position
      jmp  executeInstr

;=================================
; Disable the sound
;=================================
soundOff:
      lda  #$08
      sta  $D404                  ; Voice 1: Control registers
      sta  $D40B                  ; Voice 2: Control registers
      sta  $D412                  ; Voice 3: Control registers
      rts

track1:
  .byte $0C
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr3, >tr3           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr4, >tr4           ; gosub to sobroutine
  .byte $0A, <tr4, >tr4           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr1, >tr1           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr2, >tr2           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $0A, <tr5, >tr5           ; gosub to sobroutine
  .byte $09, <track1, >track1     ; goto start

tr1:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $33, $DF             ; set ADSR
  .byte $00, $61, $08             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $77, $07             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $47, $06             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $77, $07             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $47, $06             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

tr2:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $33, $DF             ; set ADSR
  .byte $00, $68, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $68, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $68, $09             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $0C, $07             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $0C, $07             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

tr3:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $33, $DF             ; set ADSL
  .byte $00, $30, $0B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $07, $0A                  ; set note length duration
  .byte $07, $08                  ; set note length duration
  .byte $00, $30, $0B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $0B                       ; return from subroutine

tr4:
  .byte $02, $48, $39             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $33, $DF             ; set ADSL
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $E1, $08             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $77, $07             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $E1, $08             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $77, $07             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

tr5:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $33, $DF             ; set ADSL
  .byte $00, $30, $0B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $30, $0B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $30, $0B             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $F7, $09             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $07             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

track2:
  .byte $0C
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr7, >tr7           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr7, >tr7           ; gosub to sobroutine
  .byte $0A, <tr8, >tr8           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr7, >tr7           ; gosub to sobroutine
  .byte $0A, <tr8, >tr8           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr6, >tr6           ; gosub to sobroutine
  .byte $0A, <tr7, >tr7           ; gosub to sobroutine
  .byte $0A, <tr8, >tr8           ; gosub to sobroutine
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $35, $DA             ; set ADSL
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $3C, $32             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $BE, $3B             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $27             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $A2, $25             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $09, <track2, >track2     ; goto track2

tr6:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $35, $DA             ; set ADSL
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $EF, $13             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $07, $09                  ; set note length duration
  .byte $07, $09                  ; set note length duration
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

tr7:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $35, $DA             ; set ADSL
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $DF, $1D             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $D1, $12             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $07, $09                  ; set note length duration
  .byte $07, $09                  ; set note length duration
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

tr8:
  .byte $02, $48, $09             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $35, $DA             ; set ADSR
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $07, $09, $07             ; set frequency
  .byte $09, $07, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $09, $07             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0A, $09             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $08, $06             ; set note length duration and effect
  .byte $07, $09                  ; set note length duration
  .byte $07, $09                  ; set note length duration
  .byte $07, $08                  ; set note length duration
  .byte $0B                       ; return from subroutine

track3:
  .byte $02, $07, $08             ; set amplitude
  .byte $04, $80                  ; set control to noise
  .byte $05, $01, $B1             ; set ADSR
  .byte $00, $61, $08             ; set frequency
  .byte $08, $09, $02             ; set note length duration and effect
  .byte $07, $09                  ; set note length duration
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $08, $02             ; set note length duration and effect
  .byte $07, $0A                  ; set note length duration
  .byte $00, $61, $08             ; set frequency
  .byte $08, $08, $02             ; set note length duration and effect
  .byte $07, $09                  ; set note length duration
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $09, $02             ; set note length duration and effect
  .byte $07, $08                  ; set note length duration
  .byte $09, <track3, >track3     ; goto track3

end1:
  .byte $0C                       ; clear instr
  .byte $02, $FF, $07             ; set amplitude
  .byte $04, $40                  ; set control to rectangular
  .byte $05, $12, $D9             ; set ADSL
  .byte $00, $87, $21             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $11, $08             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $63, $38             ; set frequency
  .byte $08, $1D, $08             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $63, $38             ; set frequency
  .byte $08, $10, $08             ; set note length duration and effect
  .byte $00, $0F, $43             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $63, $38             ; set frequency
  .byte $08, $19, $08             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $14, $08             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $20, $08             ; set note length duration and effect
  .byte $00, $87, $21             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $C1, $2C             ; set frequency
  .byte $08, $30, $20             ; set note length duration and effect
  .byte $0F

end2:
  .byte $0C                       ; clear instr
  .byte $02, $FF, $0B             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $14, $D9             ; set ADSL
  .byte $00, $60, $16             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $11, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $1D, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $10, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $19, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $14, $08             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $20, $08             ; set note length duration and effect
  .byte $00, $60, $16             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $C3, $10             ; set frequency
  .byte $08, $30, $20             ; set note length duration and effect
  .byte $0F

end3:
  .byte $0C                       ; clear instr
  .byte $02, $FF, $0B             ; set amplitude
  .byte $04, $20                  ; set control to 32
  .byte $05, $12, $D9             ; set ADSL
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $11, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $1D, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $0C, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $10, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $1C, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $19, $08             ; set note length duration and effect
  .byte $00, $31, $1C             ; set frequency
  .byte $08, $14, $08             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $20, $08             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $18, $08             ; set note length duration and effect
  .byte $00, $1E, $19             ; set frequency
  .byte $08, $30, $20             ; set note length duration and effect
  .byte $0F

loTable:
 .byte <setFrequency
 .byte <incInstrIndex
 .byte <setAmplitude
 .byte <incInstrIndex
 .byte <setControl
 .byte <setADSR
 .byte <incInstrIndex
 .byte <setDuration1
 .byte <setDuration2
 .byte <gotoInstr
 .byte <gosubInstr
 .byte <returnInstr
 .byte <clearInstr
 .byte <incInstrIndex
 .byte <setFilterMode
 .byte <endInstr
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex
 .byte <incInstrIndex

hiTable:
 .byte >setFrequency
 .byte >incInstrIndex
 .byte >setAmplitude
 .byte >incInstrIndex
 .byte >setControl
 .byte >setADSR
 .byte >incInstrIndex
 .byte >setDuration1
 .byte >setDuration2
 .byte >gotoInstr
 .byte >gosubInstr
 .byte >returnInstr
 .byte >clearInstr
 .byte >incInstrIndex
 .byte >setFilterMode
 .byte >endInstr
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
 .byte >incInstrIndex
